Delete Pending Configuration Modifications

delete

/rest/{versionId}/configuration/device-configs/{deviceId}/configuration-changes

Use this (DELETE) method to remove all configuration modifications in the OSDMC database that the user made on a targeted device. All users are assigned their own configuration modification staging area. This allows concurrent users to make modifications to their own staging area and not interfere with each other. No configuration modification is pushed to a device until the appropriate push action method is invoked. This method allows a user to clear any modifications made during previous sessions that the user does not intend to push to the device and start with a clean staging area. If you initiate a push action to a device, the users current modification in the staging area is completed and cleared automatically and is ready for next provisioning session.

Request

Path Parameters
Back to Top

Response

204 Response

Pending config element changes deleted successfully.

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user does not have permission for the attempted action.

404 Response

The object of your input request cannot be found.

409 Response

Configuration of device loaded in this host is stale.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to delete Pending Configuration Modifications.

curl -X DELETE \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/<deviceId>/configuration-changes"

The following example shows how to use Python to delete Pending Configuration Modifications.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/<deviceId>/configuration-changes"
resp = requests.delete(url, headers=headers)

Note:

Use the Get a List of Devices Associated with Config Manager API to find the deviceId parameter.

Example of the Response Body

This endpoint does not return a response body.

Back to Top